Folks.NameDetails – folks Reference Manual

# NameDetails

## Object Hierarchy:

## Description:

public interface NameDetails : Object

Interface for classes which represent contacts with names, such as Persona and Individual.

## Since:

0.3.5

All known implementing classes:

- Individual

Namespace: Folks
Package: folks

## Content:

### Properties:

- public abstract string full_name { get; set; }
  The full name of the contact.
- public abstract string nickname { get; set; }
  The nickname of the contact.
- public abstract StructuredName? structured_name { get; set; }
  The contact name split in its constituent parts.

### Methods:

- public virtual async void change_full_name (string full_name) throws PropertyError
  Change the contact's full name.
- public virtual async void change_nickname (string nickname) throws PropertyError
  Change the contact's nickname.
- public virtual async void change_structured_name (StructuredName? name) throws PropertyError
  Change the contact's structured name.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref